package com.manage.vo;

import org.simpleframework.xml.Element;
import org.simpleframework.xml.Root;

@Root(name = "Request")
public class AuthUserVO {
    private String SourceSystem;

    @Element(required = false)
    private String TargetSystem;

    private String username;

    private String password;

    public String getSourceSystem() {
        return SourceSystem;
    }

    public void setSourceSystem(String sourceSystem) {
        SourceSystem = sourceSystem;
    }

    public String getTargetSystem() {
        return TargetSystem;
    }

    public void setTargetSystem(String targetSystem) {
        TargetSystem = targetSystem;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String toString() {
        return "AuthUserVO{" +
                "SourceSystem='" + SourceSystem + '\'' +
                ", TargetSystem='" + TargetSystem + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                '}';
    }
}
